/*
Theme Name: Shoptimizer Child Theme
Theme URI: 
Description: Child theme of Shoptimizer
Author: CommerceGurus
Author URI: 
Template: shoptimizer
Version: 1.2.1
License:         	GNU General Public License v2 or later
License URI:     	http://www.gnu.org/licenses/gpl-2.0.html
*/



/* GLOBAL */
a:focus {
    outline: unset!important;
}.grecaptcha-badge {
    display: none!important;
}.wa__btn_popup {
    z-index: 99!important;
}span.sale-item.product-label.type-bubble {
    visibility: visible!important;
}

/* HEADER */
@media (min-width: 993px) { 
    .shoptimizer-primary-navigation {
        display: flex;
        justify-content: center;
    }
}
.secondary-navigation .icon-wrapper {
    position: unset!important;
    top: unset!important;
    left: unset!important;
    top: unset!important;
    transform: unset!important;
    display: block;
    float: left;
    margin: -3px 10px;
}
.secondary-navigation .menu li:not(.ri) a {
    padding-top: 0px!important;
}
.secondary-navigation .menu-item {
    border-left: 0px solid #eee!important;
}
.secondary-navigation .icon-wrapper svg {
    width: 20px!important;
    height: 30px!important;
    stroke: transparent!important;
}
#secondary input[type=search], .site-search form input[type=search] {
    font-size: 14px;
}
@media (max-width: 992px){
    .menu-toggle .bar, .site-header-cart a.cart-contents:hover .count {
        background-color: #000!important;
    }
    .menu-toggle .bar-text, .menu-toggle:hover .bar-text, .site-header-cart a.cart-contents .count {
        color: #000!important;
    }
    .mobile-search-toggle svg, .mobile-myaccount svg {
        stroke: #000!important;
    }
}


/* SWIPER */
.swiper-button-prev:after,
.swiper-button-next:after {
    color: #fff;
    font-size: 21px;
}
span.swiper-pagination-bullet.swiper-pagination-bullet-active {
    background: #fff!important;
}


/* HOME */
.home-col-full {
    max-width: 1280px;
    margin: auto;
    padding: 1em;
}
.home-col-full.slider {
    max-width: 1297px;
    padding: 1em 0;
}
.titulo-home {
    color: #000000;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    letter-spacing: 3.4px;
    font-size: 1.1429em;
    line-height: 1.4;
    font-weight: 700;
    text-transform: uppercase;
    margin-top: 0;
    margin-bottom: 0;
    position: relative;
}
h2.titulo-home span.line:after {
    content: "";
    background: #000;
    width: 7rem;
    height: 3px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    display: block;
}
.conteudo-banner-produtos {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: space-between;
    flex-wrap: nowrap;
    gap: 0px;
    background: #fff;
}
div > .produtos-home-esquerda {
    display: flex;
    justify-content: center;
    flex-basis: 50%;
    width: 50%;
    padding: 10px 5px 10px 5px;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
}
div > .produtos-home-esquerda ul.products {
    align-items: flex-start!important;
}
div > .banner-home-direita{
    line-height: 0;
    flex-basis: 50%;
    width: 50%;
}

@media (max-width: 992px) {
    .conteudo-banner-produtos {
        flex-direction: column;
    }
    div>.produtos-home-esquerda,
    div > .banner-home-direita{
        flex-basis: 100%;
        width: 100%;
    }
    div > .produtos-home-esquerda {
        padding: 0 0 20px;
        order: 1;
    }
    .home-col-full.conteudo-e-banner {
        padding: 1em 0;
    }
}


.conteudo-instagram-home {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: space-between;
    flex-wrap: nowrap;
    gap: 30px;
    background: #fff;
}
.conteudo-instagram-home div {
    flex-basis: 100%;
}
.instagram-home-esquerda {
    display: flex;
    flex-direction: column;
    align-content: center;
    padding: 0;
    justify-content: center;
    flex-basis: 200px!important;
}
.instagram-home-esquerda img {
    max-width: 185px;
    margin: -15px auto 0px;
}
@media (max-width: 780px) {
    .conteudo-instagram-home {
        flex-direction: column;
        gap: 0px;
    }
}







/* SHOP */
li.product:hover .woocommerce-image__wrapper .gallery-image, li.product:hover .woocommerce-image__wrapper .gallery-image img {
    z-index: 0!important;
    opacity: 1!important;
}
ul.products li .woocommerce-image__wrapper {
    overflow: hidden!important;
}
.produtos-slider .swiper-slide li .woocommerce-card__header .zhf-apelos-preco {
    zoom: 0.75!important;
}
.content-area ul.products li.product .woocommerce-loop-product__title, .content-area ul.products li.product h2, ul.products li.product .woocommerce-loop-product__title, ul.products li.product .woocommerce-loop-product__title, .main-navigation ul.menu ul li.product .woocommerce-loop-product__title a, .wc-block-grid__product .wc-block-grid__product-title {
    font-weight: 400!important;
}
ul.products li.product .price {
    margin-bottom: 0px!important;
}
body ul.products li.product a.button, body ul.products li.product a.added_to_cart {
    margin: 0 auto 30px auto!important;
    position: absolute;
    display: inline-block;
    color: #fff!important;
    border-radius: 100px;
    width: max-content;
    padding: 0px 30px!important;
    left: 50%;
    transform: translateX(-50%);
    text-transform: uppercase;
    zoom: 0.8;
}
@media (max-width: 992px){
    body ul.products li.product a.button {
        zoom: 0.6;
    }
}

ul.products li.product:not(.product-category) {
    padding-bottom: 0px!important;
    margin-bottom: 15px;
}
li.product:not(.product-category):hover .woocommerce-image__wrapper img {
    transform: none;
    opacity: 0;
}
ul.products li.product:hover .woocommerce-LoopProduct-link {
    z-index: 9;
    position: relative;
}

ul.products li .woocommerce-image__wrapper .gallery-image {
    z-index: unset!important;
}
.term-description {
    display: none;
}
ul.products li.product .woocommerce-LoopProduct-link span.product-label+.label.zhf-labels--top-left {
    margin: 26px 0 0!important;
}
ul.products li.product .woocommerce-LoopProduct-link span.product-label+.label.zhf-labels--top-right {
    margin: 0!important;
}
.product-label.type-bubble, li.product .onsale {
    opacity: 1;
}
.price > span.woocommerce-Price-amount.amount bdi, 
.price > ins > span.woocommerce-Price-amount.amount bdi {
    color: #000000;
    font-weight: 600;
    font-size: 20px;
}
ins span.woocommerce-Price-currencySymbol {
    font-size: 14px;
    margin-right: 3px;
}


/* SINGLE */
@media (min-width: 771px){ 
    .product-details-wrapper {
        justify-content: center!important;
        gap: 20px;
    }
    .single-product div.product .product-details-wrapper .images {
        width: 45%!important;
    }
}

.single-product .site-content .col-full {
    background-color: #ffffff!important;
}
.summary.entry-summary .price span.woocommerce-Price-amount.amount bdi {
    color: #000;
    font-size: 25px;
    font-weight: 600;
}
.product-details-wrapper .product-label {
    top: 4px!important;
}
.summary.entry-summary .price span.woocommerce-Price-amount.amount span.woocommerce-Price-currencySymbol {
    font-size: 20px;
    font-weight: 400;
    margin-right: 4px;
}

.summary.entry-summary .price del span.woocommerce-Price-amount.amount bdi {
    color: #72767c;
    font-size: 18px;
    font-weight: 400;
}
.summary.entry-summary .price del span.woocommerce-Price-amount.amount span.woocommerce-Price-currencySymbol {
    font-size: 18px;
    font-weight: 400;
    margin-right: 0px;
}
body.single-product .zhf-apelos-preco {
    color: #4e4e4e!important;
}
.payment-method.card svg path {
    fill: #5d5d5d!important;
}
.summary.entry-summary button.disabled {
    opacity: 1;
}
strong.titulo.variacao-cores {
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: .5px;
}
img.cores-zhf {
    border-radius: 100%;
}
.conteudo-cores {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
img.cores-zhf {
    border-radius: 100%;
    margin-right: 0px!important;
}

.cgkit-as-wrap .cgkit-attribute-swatches .cgkit-attribute-swatch.cgkit-button button {
    border: 1px solid #f4f5f6!important;
    background: #f4f5f6!important;
    font-size: 16px!important;
    color: #000000!important;
    font-weight: 600!important;
    min-height: 45px!important;
    line-height: 45px!important;
    border-radius: 100%;
}
.cgkit-as-wrap .cgkit-attribute-swatches .cgkit-attribute-swatch.cgkit-button button.cgkit-swatch-selected {
    background: #ffffff!important;
    border-color: #000000!important;
    color: #000!important;
}
button.swatch.cgkit-swatch.cgkit-as-outofstock.cgkit-as-single.cgkit-swatch-selected,
button.swatch.cgkit-swatch.cgkit-as-outofstock.cgkit-as-single {
    background: #efa6a9!important;
    opacity: 0.8;
    color: #fff!important;
	overflow:hidden;
}
button.swatch.cgkit-swatch.cgkit-as-outofstock.cgkit-as-single:after{
content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('./component/assets/img/outofstock-white.svg');
    background-position: center center;
    background-size: 100% 100%;
    border-radius: 3px;
    overflow: hidden;
}
span.cgkit-chosen-attribute.no-selection {
    display: none!important;
}
.woocommerce-variation-description {
    display: none;
}
.content-area p.stock {
    margin-top: 0px!important;
    margin-bottom: 0!important;
    padding-top: 0px!important;
    border-top: 0px solid #e2e2e2!important;
}


/* BORDADO */
.zhf_bordado_div {
    border: 1px dashed #00b8b4;
    padding: 5px 10px 4px;
    border-radius: 5px;
    margin: 15px 0 10px;
    background: #fff;
    color: #545454;
    font-size: 14px;
    line-height: 30px;
}
.bordado-texto-div, .bordado-imagem-div {
    border: 1px solid #00b8b4;
    padding: 5px 17px;
    border-radius: 5px;
    margin-bottom: 10px;
}
.bordado-texto-div label, .bordado-imagem-div label {
    margin-bottom: 0;
    width: calc(100% - 25px);
}
input#bordado_input_text {
    margin-bottom: 6px;
}


/* CALCULADORA PRODUTO */
section#wc-shipping-sim-results:has(div) {
    background: #f3f3f3;
    border-radius: 5px;
    padding: 10px 15px;
    border: 1px solid #e7e7e7;
	font-size: 14px;
}div#wc-shipping-sim-br-cep-finder a {
    font-size: 12px;
    color: #2a2a2a;
}section#wc-shipping-sim div#wc-shipping-sim-form-title strong {
    font-weight: 100;
    padding: 7px 0;
    display: block;
}div#wc-shipping-sim-results-title {
    background: #fff;
    padding: 2px 5px;
    border-radius: 5px;
}#wc-shipping-sim-results tr {
    border: 0em solid #e0e0e0!important;
    line-height: 24px;
}#wc-shipping-sim-results table th {
    color: #111;
    font-weight: 200;
    min-width: 150px;
    padding: 1px 0px!important;
}#wc-shipping-sim-results .col-cost {
    text-align: left;
}#wc-shipping-sim-results table td {
    padding-top: 1px;
    padding-bottom: 1px;
}div#wc-shipping-sim-form-fields input.input-postcode {
    max-width: 165px;
    padding: 7px 10px 6px 15px!important;
}div#wc-shipping-sim-form-fields button.submit {
    padding: 7px 17px!important;
    font-weight: 600;
}#wc-shipping-sim-results tr {
    border: 0em solid #e0e0e0!important;
    font-size: 14px;
    line-height: 24px;
}div#wc-shipping-sim-results-after {
    background: #fbfbfb;
    font-size: smaller;
    padding: 6px;
    border-radius: 4px;
}.inline-inputs #wc-shipping-sim-form-fields .button.submit, .inline-inputs #wc-shipping-sim-form-fields .input-postcode {
    height: 45px!important;
}#wc-shipping-sim {
    padding: 0!important;
    border-top: 0!important;
    font-size: 14px!important;
}


/* FOOTER */
.site-footer .widget.widget_block h2, footer .widget .widget-title {
    font-size: 18px!important;
}





/* CARRINHO */ 
ul#shipping_method li {
    border: 1px solid #dbdbdb;
    padding: 5px 5px;
    border-radius: 5px;
    background: #fff;
    margin-bottom: 5px;
}
ul#shipping_method li p {
    margin: 0px 20px;
}

/* CHECKOUT */ 
div#address-info, div#customer-info {
    background: #fbfbfb;
    padding: 5px 10px 4px!important;
    color: #464646;
    font-size: 14px;
    line-height: 26px;
    border: 1px solid #e2e2e2;
    border-radius: 6px;
    border-left: 3px solid #000;
}div#address-info a.edit-info, div#customer-info a.edit-info {
    background: #f1f1f1;
    color: #434343;
    border-radius: 3px;
    padding: 4px 10px;
    margin: 5px 0;
    display: block;
    width: fit-content;
    border: 1px solid #e1e1e1;
}
p#billing_country_field {
    display: none;
}
.woocommerce-checkout p#billing_address_1_field, .woocommerce-checkout p#shipping_address_1_field {
    margin-bottom: 1.41575em;
}
p#checkout-checkbox_field {
    padding: 8px 10px 2px;
    border: 1px solid #e2e2e2;
    border-radius: 6px;
    border-left: 3px solid #FF9800;
}
p#checkout-checkbox_field span label {
    margin-bottom: 5px;
    color: #383838;
    font-size: 14px;
    font-weight: 100;
}
#pagarme-credit-cart-form p select {
    padding: 0px 12px !important;
}

.woocommerce-shipping-fields, p#order_comments_field {
    display: none!important;
}

/* MINHA CONTA */
li.woocommerce-MyAccount-navigation-link.woocommerce-MyAccount-navigation-link--edit-address a:after {
    content: "Endereço";
}
.woocommerce-MyAccount-content .woocommerce-Address a.edit {
    background: #f1f1f1;
    color: #434343;
    border-radius: 3px;
    padding: 4px 25px;
    margin: 10px 0;
    display: block;
    width: fit-content;
    border: 1px solid #e1e1e1;
}.woocommerce-MyAccount-content .woocommerce-Address address {
    background: #fbfbfb;
    padding: 5px 10px 4px!important;
    color: #464646;
    font-size: 14px;
    line-height: 26px;
    border: 1px solid #e2e2e2;
    border-radius: 6px;
    border-left: 3px solid #000;
}
